Index: src/Parser/Makefile.am
===================================================================
--- src/Parser/Makefile.am	(revision 30e5dc3f95657b0bcba4cb1708826c0f5f3ea557)
+++ src/Parser/Makefile.am	(revision ed8a681ca27b0d36de905a8f9970d3a5cffa0bb2)
@@ -20,5 +20,4 @@
   Parser/Psi3Parser_Parameters.cpp \
   Parser/TremoloParser.cpp \
-  Parser/TremoloParser_ElementKeys.cpp \
   Parser/TremoloAtomInfoContainer.cpp \
   Parser/XmlParser.cpp \
@@ -51,5 +50,4 @@
   Parser/TremoloKey.hpp \
   Parser/TremoloParser.hpp \
-  Parser/TremoloParser_ElementKeys.hpp \
   Parser/TremoloAtomInfoContainer.hpp \
   Parser/XmlParser.hpp \
Index: src/Parser/TremoloParser.cpp
===================================================================
--- src/Parser/TremoloParser.cpp	(revision 30e5dc3f95657b0bcba4cb1708826c0f5f3ea557)
+++ src/Parser/TremoloParser.cpp	(revision ed8a681ca27b0d36de905a8f9970d3a5cffa0bb2)
@@ -49,4 +49,6 @@
 #include "Element/element.hpp"
 #include "Element/periodentafel.hpp"
+#include "Parser/Exceptions.hpp"
+#include "Potentials/Particles/ParticleRegistry.hpp"
 #include "LinearAlgebra/RealSpaceMatrix.hpp"
 #include "Potentials/Particles/ParticleRegistry.hpp"
@@ -110,6 +112,4 @@
   idlocalizer(boost::bind(&FormatParser< tremolo >::getLocalId, this, _1))
 {
-  createKnownTypesByIdentity();
-
   // invert knownKeys for debug output
   for (std::map<std::string, TremoloKey::atomDataKey>::iterator iter = knownKeys.begin(); iter != knownKeys.end(); ++iter)
Index: src/Parser/TremoloParser.hpp
===================================================================
--- src/Parser/TremoloParser.hpp	(revision 30e5dc3f95657b0bcba4cb1708826c0f5f3ea557)
+++ src/Parser/TremoloParser.hpp	(revision ed8a681ca27b0d36de905a8f9970d3a5cffa0bb2)
@@ -23,5 +23,4 @@
 #include "ParserTypes.hpp"
 
-#include "TremoloParser_ElementKeys.hpp"
 #include "TremoloKey.hpp"
 #include "TremoloAtomInfoContainer.hpp"
@@ -57,21 +56,4 @@
   void setAtomData(const std::string &atomdata_string);
   void resetAtomData(const std::string &atomdata_string);
-
-private:
-  /**
-   * Map to associate element keys with the respective elements.
-   */
-  struct ElementKeys knownTypes;
-
-public:
-
-  void parseKnownTypes(std::istream &file)
-  {
-    knownTypes.parseKnownTypes(file);
-  }
-  void createKnownTypesByIdentity()
-  {
-    knownTypes.createKnownTypesByIdentity();
-  }
 
   /** Save given \a atoms in tremolo's exttypes file
Index: src/Parser/TremoloParser_ElementKeys.cpp
===================================================================
--- src/Parser/TremoloParser_ElementKeys.cpp	(revision 30e5dc3f95657b0bcba4cb1708826c0f5f3ea557)
+++ 	(revision )
@@ -1,168 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2012 University of Bonn. All rights reserved.
- * 
- *
- *   This file is part of MoleCuilder.
- *
- *    MoleCuilder is free software: you can redistribute it and/or modify
- *    it under the terms of the GNU General Public License as published by
- *    the Free Software Foundation, either version 2 of the License, or
- *    (at your option) any later version.
- *
- *    MoleCuilder is distributed in the hope that it will be useful,
- *    but WITHOUT ANY WARRANTY; without even the implied warranty of
- *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *    GNU General Public License for more details.
- *
- *    You should have received a copy of the GNU General Public License
- *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
- */
-
-/*
- * TremoloParser_ElementKeys.cpp
- *
- *  Created on: Mar 12, 2012
- *      Author: heber
- */
-
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "TremoloParser_ElementKeys.hpp"
-
-#include <boost/tokenizer.hpp>
-#include <iostream>
-#include "CodePatterns/Assert.hpp"
-#include "CodePatterns/Log.hpp"
-
-#include "Element/element.hpp"
-#include "Element/periodentafel.hpp"
-#include "Parser/Exceptions.hpp"
-#include "Potentials/Particles/ParticleFactory.hpp"
-#include "World.hpp"
-
-/** Parses a .potentials file and creates from it the knownTypes file.
- *
- * @param file input stream of .potentials file
- */
-void ElementKeys::parseKnownTypes(std::istream &file)
-{
-  const periodentafel *periode = World::getInstance().getPeriode();
-  // remove old mapping
-  clear();
-
-//  LOG(3, "INFO: additionalAtomData contains: " << additionalAtomData);
-
-  // parse in file
-  typedef boost::tokenizer<boost::char_separator<char> >
-      tokenizer;
-  boost::char_separator<char> tokensep(":\t ,;");
-  boost::char_separator<char> equalitysep("\t =");
-  std::string line;
-  while (file.good()) {
-    std::getline( file, line );
-    LOG(4, "INFO: full line of parameters is '" << line << "'");
-    if (line.find("particle:") != string::npos) {
-      LOG(3, "INFO: found line '" << line << "' containing keyword 'particle:'.");
-      tokenizer tokens(line, tokensep);
-      ASSERT(tokens.begin() != tokens.end(),
-          "FormatParser< tremolo >::parseKnownTypes() - line with 'particle:' but no particles separated by comma.");
-      // look for particle_type
-      std::string particle_type("NULL");
-      std::string element_type("NULL");
-      for (tokenizer::iterator tok_iter = tokens.begin();
-          tok_iter != tokens.end();
-          ++tok_iter) {
-        if ((*tok_iter).find("particle_type") != string::npos) {
-          LOG(3, "INFO: found token '" << *tok_iter << "' containing keyword 'particle_type'.");
-          tokenizer token((*tok_iter), equalitysep);
-          ASSERT(token.begin() != token.end(),
-                    "FormatParser< tremolo >::parseKnownTypes() - could not split particle_type by equality sign");
-          tokenizer::iterator particle_iter = token.begin();
-          particle_iter++;
-          particle_type = *particle_iter;
-        }
-        if ((*tok_iter).find("element_name") != string::npos) {
-          LOG(3, "INFO: found token '" << *tok_iter << "' containing keyword 'element_name'.");
-          tokenizer token((*tok_iter), equalitysep);
-          ASSERT(token.begin() != token.end(),
-                    "FormatParser< tremolo >::parseKnownTypes() - could not split particle_type by equality sign");
-          tokenizer::iterator element_iter = token.begin();
-          element_iter++;
-          element_type = *element_iter;
-        }
-      }
-      if ((particle_type != "NULL") && (element_type != "NULL")) {
-        if (periode->FindElement(element_type) != NULL) {
-          LOG(1, "INFO: Added Type " << particle_type << " as reference to element " << element_type << ".");
-          setType(particle_type, element_type);
-        } else {
-          ELOG(1, "INFO: Either Type " << particle_type << " or " << element_type << " could not be recognized." );
-        }
-      } else {
-        ELOG(3, "Line does not contain both 'particle_type' and 'element_name' as keys." );
-      }
-    }
-  }
-}
-
-/** Creates knownTypes as the identity, e.g. H -> H, He -> He, ... .
- *
- */
-void ElementKeys::createKnownTypesByIdentity()
-{
-  // remove old mapping
-  clear();
-  // make knownTypes the identity mapping
-  const periodentafel *periode = World::getInstance().getPeriode();
-  for (periodentafel::const_iterator iter = periode->begin();
-      iter != periode->end();
-      ++iter) {
-    setType( iter->second->getSymbol(), iter->second->getSymbol());
-  }
-}
-
-/** Getter for value indexed by \a type.
- *
- * @param type key for map
- * @return value stored under \a type
- */
-const std::string &ElementKeys::getType(const std::string &type) const throw (IllegalParserKeyException)
-{
-  const_iterator iter = find(type);
-  if (iter == end()) {
-    throw IllegalParserKeyException() << ParserMapLookup(type);
-  } else
-    return iter->second;
-}
-
-/** Getter for value indexed by \a type.
- *
- * @param type key for map
- * @return value stored under \a type
- */
-void ElementKeys::setType(const std::string &type, const std::string &value) throw (IllegalParserKeyException)
-{
-  const_iterator iter = find(type);
-  if (iter != end()) {
-    throw IllegalParserKeyException() << ParserMapLookup(type);
-  } else {
-    insert( make_pair(type,value) );
-    if (value != type) {
-      const periodentafel * periode = World::getInstance().getPeriode();
-      const element * elem = periode->FindElement(value);
-      ASSERT( elem != NULL,
-          "ElementKeys::setType() - could not find element "+value);
-      ParticleFactory::getInstance().createInstance(
-          type, elem->getAtomicNumber(), elem->getCharge()); 
-    }
-    LOG(3, "DEBUG: Key " << type << " refers to element " << at(type) << ".");
-  }
-}
Index: src/Parser/TremoloParser_ElementKeys.hpp
===================================================================
--- src/Parser/TremoloParser_ElementKeys.hpp	(revision 30e5dc3f95657b0bcba4cb1708826c0f5f3ea557)
+++ 	(revision )
@@ -1,33 +1,0 @@
-/*
- * TremoloParser_ElementKeys.hpp
- *
- *  Created on: Mar 12, 2012
- *      Author: heber
- */
-
-#ifndef TREMOLOPARSER_ELEMENTKEYS_HPP_
-#define TREMOLOPARSER_ELEMENTKEYS_HPP_
-
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include <iosfwd>
-#include <map>
-#include <string>
-
-#include "Parser/Exceptions.hpp"
-
-struct ElementKeys : private std::map<std::string, std::string>
-{
-  void parseKnownTypes(std::istream &file);
-  void createKnownTypesByIdentity();
-
-  const std::string &getType(const std::string &type) const throw (IllegalParserKeyException);
-  void setType(const std::string &type, const std::string &value) throw (IllegalParserKeyException);
-};
-
-
-#endif /* TREMOLOPARSER_ELEMENTKEYS_HPP_ */
Index: src/Parser/unittests/Makefile.am
===================================================================
--- src/Parser/unittests/Makefile.am	(revision 30e5dc3f95657b0bcba4cb1708826c0f5f3ea557)
+++ src/Parser/unittests/Makefile.am	(revision ed8a681ca27b0d36de905a8f9970d3a5cffa0bb2)
@@ -10,5 +10,4 @@
 	../Parser/unittests/ParserPsi3UnitTest.cpp \
 	../Parser/unittests/ParserTremoloUnitTest.cpp \
-	../Parser/unittests/ParserTremolo_ElementKeysUnitTest.cpp \
 	../Parser/unittests/ParserXmlUnitTest.cpp \
 	../Parser/unittests/ParserXyzUnitTest.cpp
@@ -20,5 +19,4 @@
 	../Parser/unittests/ParserPsi3UnitTest.hpp \
 	../Parser/unittests/ParserTremoloUnitTest.hpp \
-	../Parser/unittests/ParserTremolo_ElementKeysUnitTest.hpp \
 	../Parser/unittests/ParserXmlUnitTest.hpp \
 	../Parser/unittests/ParserXyzUnitTest.hpp
@@ -30,5 +28,4 @@
   ParserPsi3UnitTest \
   ParserTremoloUnitTest \
-  ParserTremolo_ElementKeysUnitTest \
   ParserXmlUnitTest \
   ParserXyzUnitTest
@@ -77,9 +74,4 @@
 ParserTremoloUnitTest_LDADD = ${PARSERLIBS}
 
-ParserTremolo_ElementKeysUnitTest_SOURCES = \
-	../Parser/unittests/ParserTremolo_ElementKeysUnitTest.cpp \
-	../Parser/unittests/ParserTremolo_ElementKeysUnitTest.hpp
-ParserTremolo_ElementKeysUnitTest_LDADD = ${PARSERLIBS}
-
 ParserXmlUnitTest_SOURCES = \
 	../Parser/unittests/ParserXmlUnitTest.cpp \
Index: src/Parser/unittests/ParserTremoloUnitTest.cpp
===================================================================
--- src/Parser/unittests/ParserTremoloUnitTest.cpp	(revision 30e5dc3f95657b0bcba4cb1708826c0f5f3ea557)
+++ src/Parser/unittests/ParserTremoloUnitTest.cpp	(revision ed8a681ca27b0d36de905a8f9970d3a5cffa0bb2)
@@ -47,4 +47,5 @@
 #include "Element/element.hpp"
 #include "Element/periodentafel.hpp"
+#include "Parser/Exceptions.hpp"
 #include "Parser/TremoloParser.hpp"
 #include "Parser/ChangeTracker.hpp"
Index: src/Parser/unittests/ParserTremolo_ElementKeysUnitTest.cpp
===================================================================
--- src/Parser/unittests/ParserTremolo_ElementKeysUnitTest.cpp	(revision 30e5dc3f95657b0bcba4cb1708826c0f5f3ea557)
+++ 	(revision )
@@ -1,89 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * 
- *
- *   This file is part of MoleCuilder.
- *
- *    MoleCuilder is free software: you can redistribute it and/or modify
- *    it under the terms of the GNU General Public License as published by
- *    the Free Software Foundation, either version 2 of the License, or
- *    (at your option) any later version.
- *
- *    MoleCuilder is distributed in the hope that it will be useful,
- *    but WITHOUT ANY WARRANTY; without even the implied warranty of
- *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *    GNU General Public License for more details.
- *
- *    You should have received a copy of the GNU General Public License
- *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
- */
-
-/*
- * ParserTremolo_ElementKeysUnitTest.cpp
- *
- *  Created on: Mar 3, 2010
- *      Author: metzler
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "ParserTremolo_ElementKeysUnitTest.hpp"
-
-#include <cppunit/CompilerOutputter.h>
-#include <cppunit/extensions/TestFactoryRegistry.h>
-#include <cppunit/ui/text/TestRunner.h>
-
-#include "Atom/atom.hpp"
-#include "Descriptors/AtomTypeDescriptor.hpp"
-#include "Element/element.hpp"
-#include "Element/periodentafel.hpp"
-#include "Parser/TremoloParser.hpp"
-#include "Parser/TremoloParser_ElementKeys.hpp"
-#include "Parser/ChangeTracker.hpp"
-#include "Potentials/Particles/ParticleRegistry.hpp"
-#include "World.hpp"
-#include "WorldTime.hpp"
-
-#ifdef HAVE_TESTRUNNER
-#include "UnitTestMain.hpp"
-#endif /*HAVE_TESTRUNNER*/
-
-using namespace std;
-
-// Registers the fixture into the 'registry'
-CPPUNIT_TEST_SUITE_REGISTRATION( ParserTremolo_ElementKeysUnitTest );
-void ParserTremolo_ElementKeysUnitTest::setUp()
-{
-  knownTypes = new ElementKeys();
-}
-
-void ParserTremolo_ElementKeysUnitTest::tearDown()
-{
-  ParticleRegistry::purgeInstance();
-  WorldTime::purgeInstance();
-  World::purgeInstance();
-
-  delete knownTypes;
-}
-
-/************************************ tests ***********************************/
-
-void ParserTremolo_ElementKeysUnitTest::settergetterTest()
-{
-  // install a key
-  CPPUNIT_ASSERT_NO_THROW( knownTypes->setType("H1", "H"));
-
-  // check for excepetion
-  CPPUNIT_ASSERT_THROW( knownTypes->setType("H1", "H"), IllegalParserKeyException);
-
-  // get present key
-  CPPUNIT_ASSERT_NO_THROW( knownTypes->getType("H1"));
-
-  // get non-present key
-  CPPUNIT_ASSERT_THROW( knownTypes->getType("F"), IllegalParserKeyException);
-}
Index: src/Parser/unittests/ParserTremolo_ElementKeysUnitTest.hpp
===================================================================
--- src/Parser/unittests/ParserTremolo_ElementKeysUnitTest.hpp	(revision 30e5dc3f95657b0bcba4cb1708826c0f5f3ea557)
+++ 	(revision )
@@ -1,38 +1,0 @@
-/*
- * ParserTremolo_ElementKeysUnitTest.hpp
- *
- *  Created on: Mar 12, 2012
- *      Author: heber
- */
-#ifndef PARSERTREMOLO_ELEMENTKEYS_UNITTEST_HPP_
-#define PARSERTREMOLO_ELEMENTKEYS_UNITTEST_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "Parser/TremoloParser.hpp"
-
-#include <cppunit/extensions/HelperMacros.h>
-#include <string>
-
-struct ElementKeys;
-
-class ParserTremolo_ElementKeysUnitTest :  public CppUnit::TestFixture
-{
-  CPPUNIT_TEST_SUITE( ParserTremolo_ElementKeysUnitTest ) ;
-  CPPUNIT_TEST ( settergetterTest );
-  CPPUNIT_TEST_SUITE_END();
-
-public:
-  void setUp();
-  void tearDown();
-
-  void settergetterTest();
-
-private:
-  ElementKeys *knownTypes;
-};
-
-#endif /* PARSERTREMOLO_ELEMENTKEYS_UNITTEST_HPP_ */
